-- View: idm_rpt_cfg.idmrpt_identity_v

-- DROP VIEW idm_rpt_cfg.idmrpt_identity_v;

CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_identity_v AS 
 SELECT idmrpt_identity.identity_id,
    idmrpt_identity.first_name,
    idmrpt_identity.last_name,
    idmrpt_identity.middle_initial,
    idmrpt_identity.full_name,
    idmrpt_identity.job_title,
    idmrpt_identity.department,
    idmrpt_identity.location,
    idmrpt_identity.email_address,
    idmrpt_identity.office_phone,
    idmrpt_identity.cell_phone,
    idmrpt_identity.private_phone,
    idmrpt_identity.im_id,
    idmrpt_identity.mgr_id,
    idmrpt_identity.photo,
    idmrpt_identity.idmrpt_valid_from,
    'now'::text::date + 7305 + 'now'::text::time with time zone AS idmrpt_valid_to,
    idmrpt_identity.generational_qualifier,
    idmrpt_identity.prefix,
    idmrpt_identity.preferred_name,
    idmrpt_identity.preferred_language,
    idmrpt_identity.job_code,
    idmrpt_identity.workforce_id,
    idmrpt_identity.cost_center,
    idmrpt_identity.cost_center_description,
    idmrpt_identity.employee_status,
    idmrpt_identity.employee_type,
    idmrpt_identity.company,
    idmrpt_identity.department_number,
    idmrpt_identity.mailstop,
    idmrpt_identity.office_number,
    idmrpt_identity.street_address,
    idmrpt_identity.city,
    idmrpt_identity.postal_code,
    idmrpt_identity.po_box,
    idmrpt_identity.fax_number,
    idmrpt_identity.state,
    idmrpt_identity.country,
    idmrpt_identity.pager_number,
    idmrpt_identity.manager_flag,
    idmrpt_identity.manager_workforce_id,
    idmrpt_identity.hire_date,
    idmrpt_identity.transfer_date,
    idmrpt_identity.termination_date,
    idmrpt_identity.first_working_day,
    idmrpt_identity.last_working_day,
    idmrpt_identity.identity_desc,
    idmrpt_identity.idmrpt_syn_state
   FROM idm_rpt_data.idmrpt_identity
  WHERE idmrpt_identity.idmrpt_syn_state > 0
UNION ALL
 SELECT idmrpt_identity_hist.identity_id,
    idmrpt_identity_hist.first_name,
    idmrpt_identity_hist.last_name,
    idmrpt_identity_hist.middle_initial,
    idmrpt_identity_hist.full_name,
    idmrpt_identity_hist.job_title,
    idmrpt_identity_hist.department,
    idmrpt_identity_hist.location,
    idmrpt_identity_hist.email_address,
    idmrpt_identity_hist.office_phone,
    idmrpt_identity_hist.cell_phone,
    idmrpt_identity_hist.private_phone,
    idmrpt_identity_hist.im_id,
    idmrpt_identity_hist.mgr_id,
    idmrpt_identity_hist.photo,
    idmrpt_identity_hist.idmrpt_valid_from,
    idmrpt_identity_hist.idmrpt_valid_to,
    idmrpt_identity_hist.generational_qualifier,
    idmrpt_identity_hist.prefix,
    idmrpt_identity_hist.preferred_name,
    idmrpt_identity_hist.preferred_language,
    idmrpt_identity_hist.job_code,
    idmrpt_identity_hist.workforce_id,
    idmrpt_identity_hist.cost_center,
    idmrpt_identity_hist.cost_center_description,
    idmrpt_identity_hist.employee_status,
    idmrpt_identity_hist.employee_type,
    idmrpt_identity_hist.company,
    idmrpt_identity_hist.department_number,
    idmrpt_identity_hist.mailstop,
    idmrpt_identity_hist.office_number,
    idmrpt_identity_hist.street_address,
    idmrpt_identity_hist.city,
    idmrpt_identity_hist.postal_code,
    idmrpt_identity_hist.po_box,
    idmrpt_identity_hist.fax_number,
    idmrpt_identity_hist.state,
    idmrpt_identity_hist.country,
    idmrpt_identity_hist.pager_number,
    idmrpt_identity_hist.manager_flag,
    idmrpt_identity_hist.manager_workforce_id,
    idmrpt_identity_hist.hire_date,
    idmrpt_identity_hist.transfer_date,
    idmrpt_identity_hist.termination_date,
    idmrpt_identity_hist.first_working_day,
    idmrpt_identity_hist.last_working_day,
    idmrpt_identity_hist.identity_desc,
    1 AS idmrpt_syn_state
   FROM idm_rpt_data.idmrpt_identity_hist;

ALTER TABLE idm_rpt_cfg.idmrpt_identity_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_identity_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_identity_v TO idmrptuser;
COMMENT ON VIEW idm_rpt_cfg.idmrpt_identity_v
  IS 'Contains identity profile information about users that have been collected by the reporting tool';
