CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_user_events_v2 AS 
SELECT event.id AS event_seq_no, 
  event.evt AS event_name, 
  event.rv40 AS event_id, 
  event.dt AS event_datetime, 
  idm_rpt_cfg.get_formatted_user_dn(event.rv35, event.sun) AS event_source_user, 
  idm_rpt_cfg.get_formatted_user_dn(event.rv45, event.dun) AS event_destination_user, 
  id.full_name AS event_target_user_name, 
  event.msg AS message, 
  event.fn, 
  event.rv31, 
  idv_driver.idv_name, 
  idv_driver.idv_host, 
  idv_driver.idv_id, 
  idv_driver.rpt_drv_id, 
  id.identity_id, 
  id.first_name, 
  id.last_name, 
  id.middle_initial, 
  id.full_name, 
  id.job_title, 
  id.department, 
  id.location, 
  id.email_address, 
  id.identity_desc, 
  event.rv43, 
  event.xdasprov AS xdas_provider, 
  event.xdasreg AS xdas_registry, 
  event.xdasclass AS xdas_class, 
  event.xdasid AS xdas_identifier, 
  event.xdastaxname AS xdas_taxonomy_name,
  event.xdasoutcome AS xdas_outcome,
  event.xdasoutcomename AS xdas_outcome_name,
  event.xdasdetail AS xdas_detail
  FROM
    idm_rpt_cfg.idmrpt_identity_v1 id
  INNER JOIN
    idm_rpt_cfg.idmrpt_idv_acct_all_v id_acct
  ON
    id.identity_id = id_acct.identity_id
  INNER JOIN
    idm_rpt_cfg.idmrpt_idv_v idv
  ON
    id_acct.idv_id = idv.idv_id
  LEFT OUTER JOIN
    idm_rpt_cfg.idmrpt_rpt_driver_v idv_driver
  ON
    id_acct.rpt_drv_id = idv_driver.rpt_drv_id
  INNER JOIN
    public.sentinel_events event ON 
CASE
WHEN event.dun IS NULL THEN 
CASE
    WHEN event.sun IS NULL THEN id_acct.idv_acct_user::text = lower(event.iuid::text)
    ELSE id_acct.idv_acct_user::text = lower(event.sun::text)
END
ELSE 
CASE
    WHEN event.dun::text ~~ '%cn=%o=%'::text THEN lower(event.dun::text) = lower(id_acct.idv_acct_dn::text)
    ELSE 
    CASE
        WHEN event.dun::text = 'loginDisabled'::text OR event.dun::text = 'Locked By Intruder'::text OR event.dun::text ~~ 'Login Intruder%'::text THEN id_acct.idv_acct_user::text = lower(event.sun::text)
        ELSE id_acct.idv_acct_user::text = lower(event.dun::text)
    END
END
END AND 
CASE
    WHEN event.rv45 IS NULL THEN id_acct.idv_acct_domain::text = lower(event.rv35::text)
    ELSE 
    CASE
        WHEN event.rv45::text ~~ '%cn=%o=%'::text THEN id_acct.idv_acct_dn::text = lower(event.rv45::text)
        ELSE id_acct.idv_acct_domain::text = lower(event.rv45::text)
    END
END;
ALTER TABLE idm_rpt_cfg.idmrpt_user_events_v2 OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_user_events_v2 TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_user_events_v2 TO idmrptuser;